Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.buybeans.item
Class BasicBeanImpl

    java.lang.Object
      |
      +--theory.smart.foundation.EntityImpl
            |
            +--theory.smart.foundation.ConfigurableEntityImpl
                  |
                  +--theory.smart.ebusiness.item.ItemImpl
                        |
                        +--examples.buybeans.item.BasicBeanImpl

Direct Known Subclasses:
  BeanieBabyImpl, CoffeeBeanImpl, JellyBeanImpl

public class BasicBeanImpl
extends ItemImpl

This is an item that describes a bean as we know it here at BuyBeans.com.

     Primary Key = examples.buybeans.item.BasicBeanPk

See Also:
  `BasicBean`, `BasicBeanHome`, `BasicBeanValue`, Serialized Form

Field Summary
`int` | `customerRating` customerRating [BasicBean] <*>------> [`int`]
`java.lang.String` | `fullDescription` fullDescription [BasicBean] <*>------> [`String`]

Fields inherited from class theory.smart.ebusiness.item.ItemImpl
`description, identifier, price, qualities, supplier, version`

Fields inherited from class theory.smart.foundation.EntityImpl
`ctx, isDirty, isLoaded`

Constructor Summary
`BasicBeanImpl()`

Method Summary
`void` | `ejbActivate()` ejbActivate method.
`BasicBeanPk` | `ejbCreate(BasicBeanPk basicBeanPk)`
`protected void` | `ejbCreateInitVars(BasicBeanPk basicBeanPk)`
`java.util.Enumeration` | `ejbFindAll()`
`BasicBeanPk` | `ejbFindByPrimaryKey(BasicBeanPk pk)`
`void` | `ejbLoad()` ejbLoad method.
`void` | `ejbPassivate()` ejbPassivate method.
`void` | `ejbPostCreate(BasicBeanPk basicBeanPk)`
`void` | `ejbRemove()` ejbRemove method.
`void` | `ejbStore()` ejbStore method.
`BasicBeanValue` | `getBasicBeanByValue()` Get all of BasicBean's attributes.
`int` | `getCustomerRating()` Get the value of customerRating
`java.lang.String` | `getFullDescription()` Get the value of fullDescription
`void` | `setBasicBeanByValue(BasicBeanValue value)` Set all of BasicBean's attributes to the passed in value.
`void` | `setCustomerRating(int customerRating)` Set the value of customerRating
`void` | `setEntityContext(EntityContext ctx)` setEntityContext method.
`void` | `setFullDescription(java.lang.String fullDescription)` Set the value of fullDescription
`void` | `unsetEntityContext()` unsetEntityContext method.

Methods inherited from class theory.smart.ebusiness.item.ItemImpl
`addFirstQuality, addLastQuality, addQualities, addQualities, addQuality, addQuality, calculatePrice, calculatePrice, containsQuality, ejbCreate, ejbCreateInitVars, ejbFindByPrimaryKey, ejbPostCreate, getDefaultItemPriceCalculationPolicy, getDescription, getFirstQuality, getIdentifier, getItemByValue, getLastQuality, getNumberOfQualities, getPrice, getQualities, getQualities, getQuality, getSupplier, getVersion, indexOfQuality, isQualitiesEmtpy, lastIndexOfQuality, removeAllQualities, removeFirstQuality, removeLastQuality, removeQuality, removeQuality, setDefaultItemPriceCalculationPolicy, setDescription, setItemByValue, setPrice, setQuality`

Methods inherited from class theory.smart.foundation.ConfigurableEntityImpl
`addBusinessPolicy, addProperty, ejbCreate, ejbPostCreate, getBusinessPolicy, getProperty, removeBusinessPolicy, removeProperty, setSuccessorAtClassLevel, setSuccessorAtInstanceLevel`

Methods inherited from class theory.smart.foundation.EntityImpl
`ejbCreateInitVars, getEntityContext, isModified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fullDescription

    public java.lang.String fullDescription

                        fullDescription
       [BasicBean] <*>------> [String]

### customerRating

    public int customerRating

                        customerRating
       [BasicBean] <*>------> [int]

Constructor Detail

### BasicBeanImpl

    public BasicBeanImpl()
                  throws CreateException

Method Detail

### getBasicBeanByValue

    public BasicBeanValue getBasicBeanByValue()
                                       throws java.rmi.RemoteException

  Get all of BasicBean's attributes.
  Returns:
    BasicBeanValue the BasicBean value object

### setBasicBeanByValue

    public void setBasicBeanByValue(BasicBeanValue value)
                             throws java.rmi.RemoteException

  Set all of BasicBean's attributes to the passed in value. Note: Primary key attributes are not set.
  Parameters:
    `BasicBeanValue` - the BasicBean value object

### ejbCreate

    public BasicBeanPk ejbCreate(BasicBeanPk basicBeanPk)
                          throws CreateException,
                                 java.rmi.RemoteException

### ejbCreateInitVars

    protected void ejbCreateInitVars(BasicBeanPk basicBeanPk)
                              throws CreateException,
                                     java.rmi.RemoteException

### ejbPostCreate

    public void ejbPostCreate(BasicBeanPk basicBeanPk)
                       throws CreateException,
                              java.rmi.RemoteException

### ejbLoad

    public void ejbLoad()
                 throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbLoad method.
  Overrides:
    ejbLoad in class ItemImpl

### ejbStore

    public void ejbStore()
                  throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbStore method.
  Overrides:
    ejbStore in class ItemImpl

### ejbRemove

    public void ejbRemove()
                   throws java.rmi.RemoteException,
                          RemoveException

  Description copied from class: EntityImpl
  ejbRemove method.
  Overrides:
    ejbRemove in class ItemImpl

### ejbActivate

    public void ejbActivate()
                     throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbActivate method.
  Overrides:
    ejbActivate in class ItemImpl

### ejbPassivate

    public void ejbPassivate()
                      throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbPassivate method.
  Overrides:
    ejbPassivate in class ItemImpl

### setEntityContext

    public void setEntityContext(EntityContext ctx)
                          throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  setEntityContext method.
  Overrides:
    setEntityContext in class ItemImpl

### unsetEntityContext

    public void unsetEntityContext()
                            throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  unsetEntityContext method.
  Overrides:
    unsetEntityContext in class ItemImpl

### ejbFindByPrimaryKey

    public BasicBeanPk ejbFindByPrimaryKey(BasicBeanPk pk)
                                    throws FinderException,
                                           java.rmi.RemoteException

### ejbFindAll

    public java.util.Enumeration ejbFindAll()
                                     throws FinderException,
                                            java.rmi.RemoteException

  Overrides:
    ejbFindAll in class ItemImpl

### getFullDescription

    public java.lang.String getFullDescription()
                                        throws java.rmi.RemoteException

  Get the value of fullDescription
  Returns:
    fullDescription.

### setFullDescription

    public void setFullDescription(java.lang.String fullDescription)
                            throws java.rmi.RemoteException

  Set the value of fullDescription
  Parameters:
    `fullDescription` - fullDescription to be added

### getCustomerRating

    public int getCustomerRating()
                          throws java.rmi.RemoteException

  Get the value of customerRating
  Returns:
    customerRating.

### setCustomerRating

    public void setCustomerRating(int customerRating)
                           throws java.rmi.RemoteException

  Set the value of customerRating
  Parameters:
    `customerRating` - customerRating to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.